function msg = mhe_init(s,a)

addpath('apm')
apm(s,a,'clear all');
apm_load(s,a,'model.apm');
csv_load(s,a,'data.csv');

apm_option(s,a,'nlc.imode',5);
apm_option(s,a,'nlc.nodes',3);
apm_option(s,a,'nlc.web_plot_freq',1);

apm_info(s,a,'FV','K');
apm_info(s,a,'FV','tau');
apm_info(s,a,'MV','u');
apm_info(s,a,'CV','y');

% status, whether the optimizer can use it
apm_option(s,a,'K.status',1);
apm_option(s,a,'tau.status',1);
apm_option(s,a,'u.status',0);
apm_option(s,a,'K.dcost',0.01);
apm_option(s,a,'tau.dcost',0.01);
apm_option(s,a,'K.dmax',10);
apm_option(s,a,'tau.dmax',10);

% feedback status
apm_option(s,a,'K.fstatus',0);
apm_option(s,a,'tau.fstatus',0);
apm_option(s,a,'u.fstatus',1);
apm_option(s,a,'y.fstatus',1);

msg = 'Successful estimator initialization';

return

