clear all; close all; clc

% Number of cycles to run
cycles = 50;

% Pulse in the process setpoint
u = 5;

% Run cycles
for i = 1:cycles,
    % Display cycle
    disp(['Cycle: ' int2str(i)])
    
    %% Change setpoint
    if i==20,
        sp = 10;
    elseif i==40,
        sp = 20;
    end
    
    %% Process simulator
    measurement_noise = 0.1*(rand()-0.5);
    y_meas = process(u) + measurement_noise;
    
    %% Moving Horizon Estimator (MHE)
    outputs = mhe([y_meas,u]);
end
